%global real_name Slim

Name:           php-Slim
Summary:        PHP micro framework
Version:        2.4.3
Release:        1%{?dist}

Source0:        https://github.com/codeguy/%{real_name}/archive/%{version}.tar.gz
URL:            http://www.slimframework.com/
License:        MIT
Group:          Development/Libraries

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  php-phpunit-PHPUnit
BuildRequires:  php-mcrypt

Requires:       php-common >= 5.3.0
Requires:       php-mcrypt, php-spl, php-simplexml, php-date, php-hash
Requires:       php-json, php-mbstring, php-pcre, php-session

%package tests
Summary:        Test for the PHP Slim Micro Framework
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       php-pear(PEAR)


%description
Slim is a PHP micro framework that helps you quickly write simple yet
powerful web applications and APIs.

Features:
- Powerful router
    - Standard and custom HTTP methods
    - Route parameters with wildcards and conditions
    - Route redirect, halt, and pass
    - Route middleware
- Template rendering with custom views
- Flash messages
- Secure cookies with AES-256 encryption
- HTTP caching
- Logging with custom log writers
- Error handling and debugging
- Middleware and hook architecture
- Simple configuration

%description tests
Test suite for the PHP Slim Micro Framework


%prep
%setup -qn %{real_name}-%{version}


%build
# empty build section, nothing required


%install
rm -rf $RPM_BUILD_ROOT

# install framework files
install -d $RPM_BUILD_ROOT%{_datadir}/php
install -d $RPM_BUILD_ROOT%{_datadir}/tests/%{real_name}
cp -a Slim $RPM_BUILD_ROOT%{_datadir}/php/
cp -a tests/* $RPM_BUILD_ROOT%{_datadir}/tests/%{real_name}
install -p -m 644 phpunit.xml.dist $RPM_BUILD_ROOT%{_datadir}/tests/%{real_name}


%check
# OK (341 tests, 636 assertions)
%{_bindir}/phpunit \
    -d date.timezone=UTC \
    -d memory_limit=-1 \
    tests || exit 0


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README.markdown composer.json index.php
%dir %{_datadir}/php/%{real_name}
%{_datadir}/php/%{real_name}/*


%files tests
%defattr(-,root,root,-)
%doc tests/README
%dir %{_datadir}/tests/%{real_name}
%{_datadir}/tests/%{real_name}/*


%changelog
* Sat May 10 2014 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.4.3-1
- New upstream release

* Sun Dec 08 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.4.0-1
- New upstream release

* Thu Aug 08 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.3.0-1
- New upstream release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 17 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.2.0-1
- New upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 25 2012 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.1.0-5
- Fix permissions on phpunit.xml.dist
- Remove not needeed %%if in %%check

* Sun Nov 25 2012 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.1.0-4
- phpunit.xml.dist should not be in package's %%doc

* Sun Nov 25 2012 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.1.0-3
- Remove unneedeed %%{real_name} subdirectory
- Move phpunit.xml.dist file in test subpackage

* Thu Nov 22 2012 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.1.0-2
- Various changes and improvements thanks to Remi

* Wed Nov 21 2012 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.1.0-1
- Initial packaging
